//---------------------------------------------------------------------------

#ifndef carboneH
#define carboneH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
const int NN=50;
struct Liaison {
      int d, f, s;
      };
struct Atome {
      int x, y, l1, l2, l3, l4;
      bool noue;
      };

class TCarboneForm : public TForm
{
__published:	// Composants grs par l'EDI
  TStatusBar *StatusBar1;
  TMemo *MemoOut;
  TButton *ButtonCalcule;
  TPageControl *PageControl;
  TTabSheet *TabSheetManualinput;
  TTabSheet *TabSheetSelectedinput;
  TButton *ButtonLoadData;
  TLabeledEdit *EditNc;
  TLabeledEdit *EditNl;
  TMemo *MemoDataIn;
  TButton *ButtonLoadSelectedData;
  TLabeledEdit *EditSNc;
  TLabeledEdit *EditSNl;
  TMemo *MemoSelectedData;
  TRadioGroup *RDExemple;
  TRadioButton *RD11;
  TRadioButton *RD15;
  TLabeledEdit *Editrc;
  TCheckBox *CBAfficheDessin;
  TTreeView *TreeView;
  TSplitter *Splitter1;
  void __fastcall FormShow(TObject *Sender);
  void __fastcall ButtonCalculeClick(TObject *Sender);
  void __fastcall ButtonLoadDataClick(TObject *Sender);
  void __fastcall RD11Click(TObject *Sender);
  void __fastcall ButtonLoadSelectedDataClick(TObject *Sender);
  void __fastcall RD15Click(TObject *Sender);
  void __fastcall CBAfficheDessinClick(TObject *Sender);
private:	// Dclarations de l'utilisateur
public:		// Dclarations de l'utilisateur
  TList * Molecule, * Chemin, * LesChemins,
        * DessineMolecule;
  bool OnAvance;
  int i,
      radical, Pile, Nc, Nl;
  AnsiString MemoLine;
  
  void __fastcall ChercheCollegue(int r);
  void __fastcall ChercheTous();
  void __fastcall AfficheLiaisons( TList * ch);
  void __fastcall ReadData(TMemo *Memo);
  void __fastcall ElaboreDessin();
  void __fastcall Recherchenoeud(int d, int f, TTreeNode * noeud);
  void __fastcall RecherchePosition(int d, int f);
  void __fastcall Dessine();

   __fastcall TCarboneForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TCarboneForm *CarboneForm;
//---------------------------------------------------------------------------
#endif
